Ask Your Question
1

How to install libcuda on Fedora 22 so that Blender finds the CUDA device?

asked 2015-10-02 21:58:54 -0600

JazzTp gravatar image

updated 2015-10-12 20:15:44 -0600

mether gravatar image

Hi,

I installed the NVidia driver ver. 352.41 on Fedora 22.3 using EasyLife, it doesn't seem to include libcuda.

Where can I find precise instructions to install CUDA on Fedora 22, what package should I get for libcuda and from which repository, what should I do after installing it?

I had searched here https://developer.nvidia.com/cuda-dow.. . but ver. 21 is the only Fedora option on this page at the moment.

I had also found this page http://fedoraproject.org/wiki/Cuda but it is said to be obsolete in this other page https://ask.fedoraproject.org/en/ques...

Finally I had asked here https://ask.fedoraproject.org/en/ques... but noticed soon after that the thread had been closed.

I need to use Blender with the GPU Cycles render, I've also asked on blenderartists but got no answer so far.

Thanks!

MULTIPLE EDITS:

It turns out I could move forward soon after posting this, while editing my question in order to refine it... I think I'm very close to the solution now, I'm not deleting this post because it might be useful to others.

I found this page http://download1.rpmfusion.org/nonfre... and tried downloading xorg-x11-drv-nvidia-cuda-346.72-1.fc22.x86_64 choosing to open it with the software installer, put the admin password => "Sorry, this did not work. Installation of CUDA libraries for xorg-x11-drv-nvidia failed."

So I went to this page http://rpmfusion.org/Configuration where I read that I need to enable repositories, first the free one, which I tried but again "Sorry, this did not work. Installation of RPM Fusion (free) Repository Configuration failed.

I tried the command line instructions just below:

$ su -c 'yum install --nogpgcheck http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm'
Password: 
Yum command has been deprecated, redirecting to '/usr/bin/dnf install --nogpgcheck http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-22.noarch.rpm http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-22.noarch.rpm'.
See 'man dnf' and 'man yum2dnf' for more information.
To transfer transaction metadata from yum to DNF, run:
'dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate'

Last metadata expiration check performed 0:44:52 ago on Fri Oct  2 22:26:33 2015.
Package rpmfusion-free-release-22-1.noarch is already installed, skipping.
Package rpmfusion-nonfree-release-22-1.noarch is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

So maybe those "sorry this did not work" were erroneously reporting about the exit status of the install procedure... Well searching for "libcuda*" under /lib or /usr/lib gave no results... I tried installing the cuda package through command line:

# su -c 'yum install xorg-x11-drv-nvidia-cuda'Yum command has been deprecated, redirecting to '/usr/bin/dnf install xorg-x11-drv-nvidia-cuda'.
See 'man dnf' and 'man yum2dnf' for more information.
To transfer transaction metadata from yum to DNF, run:
'dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate'

Last metadata expiration check performed 0:51:53 ago on Fri Oct  2 22:26:33 2015.
Dependencies resolved ...
(more)
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2015-10-02 22:23:31 -0600

JazzTp gravatar image

Now that I have libcuda, I think it's time I go back to Blender related forums, like this thread: https://developer.blender.org/T39757

As I said, I'm not deleting my previous post (I still could do it apparently, that's good anyway) because it might serve others.

EDIT: seeing that it might depend on Blender version, I just remembered I had also downloaded 2.76-rc3, tried it, AND IT'S OK IT DETECTS THE CUDA DEVICE.

edit flag offensive delete link more

Comments

What worked here in synthetic form:

  • installed the NVidia driver with EasyLife
  • installed libcuda from rpmfusion
  • switched from Blender 2.75 to Blender 2.76-rc3
JazzTp gravatar imageJazzTp ( 2015-10-04 18:44:17 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2015-10-02 20:41:21 -0600

Seen: 1,430 times

Last updated: Oct 02 '15